com.oracle.truffle.api.object

## Class DebugCounter

- java.lang.Object
- - com.oracle.truffle.api.object.DebugCounter

    public final class DebugCounter
    extends java.lang.Object

### Method Summary

Methods
`static DebugCounter` `create(java.lang.String name)`
`static void` `dumpCounters()`
`static void` `dumpCounters(java.io.PrintStream out)`
`long` `get()`
`void` `inc()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### create

    public static DebugCounter create(java.lang.String name)

#### get

    public long get()

#### inc

    public void inc()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### dumpCounters

    public static void dumpCounters()

#### dumpCounters

    public static void dumpCounters(java.io.PrintStream out)